| Home | Libraries | People | FAQ | More

## Struct template result_iterator_of

boost::algorithm::result_iterator_of — Container result_iterator.

## Synopsis

    template<typename C>
    struct result_iterator_of {
      // types
      typedef collection_traits< C >::result_iterator type;
    };

## Description

Extract the container's result_iterator type. This type maps to `C::iterator` for mutable container and `C::const_iterator` for const containers.

| Copyright © 2002-2004 Pavol Droba